/*
 * Generated by asn1c-0.9.29 (http://lionet.info/asn1c)
 * From ASN.1 module "Ieee1609Dot3Wee"
 * 	found in "../Ieee1609Dot3Wee.asn"
 * 	`asn1c -fcompound-names -gen-PER`
 */

#ifndef	_MACaddress_H_
#define	_MACaddress_H_


#include <asn_application.h>

/* Including external dependencies */
#include <OCTET_STRING.h>

#ifdef __cplusplus
extern "C" {
#endif

/* MACaddress */
typedef OCTET_STRING_t	 MACaddress_t;

/* Implementation */
extern asn_TYPE_descriptor_t asn_DEF_MACaddress;
asn_struct_free_f MACaddress_free;
asn_struct_print_f MACaddress_print;
asn_constr_check_f MACaddress_constraint;
ber_type_decoder_f MACaddress_decode_ber;
der_type_encoder_f MACaddress_encode_der;
xer_type_decoder_f MACaddress_decode_xer;
xer_type_encoder_f MACaddress_encode_xer;
per_type_decoder_f MACaddress_decode_uper;
per_type_encoder_f MACaddress_encode_uper;

#ifdef __cplusplus
}
#endif

#endif	/* _MACaddress_H_ */
#include <asn_internal.h>
